From 8206886ee69637705dff21be6bf45fe3da6c8d82 Mon Sep 17 00:00:00 2001
From: Jeremy Cline <jeremy@jcline.org>
Date: Jan 24 2017 17:48:24 +0000
Subject: [PATCH 661/1001] Merge #272 `Fixing unittests`


---

diff --git a/hubs/app.py b/hubs/app.py
index 3862a24..5a453a0 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -787,7 +787,7 @@ def plus_plus_update(user):
     data = {'sender': sender.username, update: update_bool_val}
     req = None
     try:
-        req = request('POST', url=pp_url, headers=auth_header, data=data)
+        req = requests.post(url=pp_url, headers=auth_header, data=data)
     except:
         flask.abort(500)
 
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index d2966ed..6dcfcdc 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -1,5 +1,6 @@
 import unittest
 from urlparse import urlparse
+import ast # import for string to dict conversion without unicode
 
 from flask import json
 from os.path import dirname
@@ -80,9 +81,9 @@ class HubsAPITest(hubs.tests.APPTest):
             "owners": ["ralph"],
             "subscribers": [],
             "summary": "Ralph",
-            "widgets": [31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 51]
+            "widgets": [34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 56]
         }
-        self.assertDictEqual(data, json.loads(result.data))
+        self.assertDictEqual(data, ast.literal_eval(result.data))
 
     @unittest.skip("Authorization layer not present yet")
     def test_hub_edit_get_logged_out(self):
@@ -262,9 +263,9 @@ class HubsAPITest(hubs.tests.APPTest):
     def test_hub_edit_widget_get_logged_in(self):
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
-            result = self.app.get('/ralph/31/edit', follow_redirects=True)
+            result = self.app.get('/ralph/37/edit', follow_redirects=True)
             self.assertEqual(result.status_code, 200)
-            expected_str = '<input id="message_limit" class="form-control" type="text"'
+            expected_str = '/ralph/37/edit'
             self.assertTrue(expected_str in result.data)
 
     @unittest.skip("Authorization layer not present yet")
@@ -276,7 +277,7 @@ class HubsAPITest(hubs.tests.APPTest):
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
             data = {}
-            url = '/ralph/31/edit'
+            url = '/ralph/37/edit'
             result = self.app.post(url, data=data, follow_redirects=False)
             self.assertEqual(result.status_code, 302)
             self.assertEqual(urlparse(result.location).path, '/ralph/')
@@ -338,7 +339,7 @@ class HubsAPITest(hubs.tests.APPTest):
     def test_hub_delete(self):
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
-            url = '/ralph/31/delete'  # 31 is widget feed for ralph
+            url = '/ralph/37/delete'  # 37 is widget fedmsgstats for ralph
             result = self.app.post(url)
             self.assertEqual(result.status_code, 302)
             self.assertTrue('/ralph/edit' in result.data)
@@ -363,11 +364,11 @@ class HubsAPITest(hubs.tests.APPTest):
             def __init__(self, json_data, status_code):
                 self.json_data = json_data
                 self.status_code = status_code
-
+                self.text = str(json_data)
             def json(self):
                 return self.json_data
 
-        if '/plus_plus/decause/status' in args:
+        if '/decause' in args[0]:
             data = {
                 "current": 0,
                 "decrements": 0,
@@ -385,11 +386,11 @@ class HubsAPITest(hubs.tests.APPTest):
             def __init__(self, json_data, status_code):
                 self.json_data = json_data
                 self.status_code = status_code
+                self.text = str(json_data)
 
             def json(self):
                 return self.json_data
-
-        if '/plus_plus/decause/update' in args:
+        if '/decause' in kwargs['url']:
             data = {
                 "current": 1,
                 "decrements": 0,
diff --git a/hubs/tests/test_models.py b/hubs/tests/test_models.py
index c3d540d..93f4a31 100644
--- a/hubs/tests/test_models.py
+++ b/hubs/tests/test_models.py
@@ -30,7 +30,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if widgets still are intact
         widgets = hubs.models.Widget.by_hub_id_all(self.session, hub.name)
-        self.assertEqual(11, len(widgets))
+        self.assertEqual(12, len(widgets))
 
     def test_delete_hubs(self):
         # verify the hub exists
@@ -46,7 +46,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if widgets exist
         widgets = hubs.models.Widget.by_hub_id_all(self.session, hub.name)
-        self.assertEqual(11, len(widgets))
+        self.assertEqual(12, len(widgets))
 
         # delete the hub
         self.session.delete(hub)
diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index a0ec275..f67e476 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -15,7 +15,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         data = json.loads(response.data)
         del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
-            u'edit_url': u'/ralph/51/edit',
+            u'edit_url': u'/ralph/56/edit',
             u'source_url': u'/source/about',
             u'text': u'Testing.',
         })
diff --git a/hubs/tests/test_widgets/test_fedmsgstats.py b/hubs/tests/test_widgets/test_fedmsgstats.py
index 8cd43e4..c88b7a4 100644
--- a/hubs/tests/test_widgets/test_fedmsgstats.py
+++ b/hubs/tests/test_widgets/test_fedmsgstats.py
@@ -13,7 +13,7 @@ class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
         data = json.loads(response.data)
         del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
-            u'edit_url': u'/ralph/33/edit',
+            u'edit_url': u'/ralph/37/edit',
             u'fedmsgs': 83854,
             u'fedmsgs_text': u'83,854',
             u'source_url': u'/source/fedmsgstats',
diff --git a/hubs/tests/test_widgets/test_library.py b/hubs/tests/test_widgets/test_library.py
index 27a32cf..bd01019 100644
--- a/hubs/tests/test_widgets/test_library.py
+++ b/hubs/tests/test_widgets/test_library.py
@@ -16,12 +16,12 @@ class TestLibrary(hubs.tests.test_widgets.WidgetTest):
                 "urls": "ralph/"
             },
             "data": {
-                "edit_url": "/ralph/52/edit",
-                "source_url": "/source/library",
-                "urls": [
-                    "<a href=\"ralph/\">ralph/</a>"
+                u"edit_url": u"/ralph/57/edit",
+                u"source_url": u"/source/library",
+                u"urls": [
+                    u"<a href=\"ralph/\">ralph/</a>"
                 ],
-                "widget_url": "/ralph/52"
+                u"widget_url": u"/ralph/57"
             },
             "description": None,
             "hub": "ralph",

